package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcWljgtj;
import com.ruoyi.tcZz.domain.TcWlmqfzr;

/**
 * 网络民情负责人Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcWlmqfzrService 
{
    /**
     * 查询网络民情负责人
     * 
     * @param id 网络民情负责人主键
     * @return 网络民情负责人
     */
    public TcWlmqfzr selectTcWlmqfzrById(Long id);

    /**
     * 查询网络民情负责人列表
     * 
     * @param tcWlmqfzr 网络民情负责人
     * @return 网络民情负责人集合
     */
    public List<TcWlmqfzr> selectTcWlmqfzrList(TcWlmqfzr tcWlmqfzr);

    /**
     * 新增网络民情负责人
     * 
     * @param tcWlmqfzr 网络民情负责人
     * @return 结果
     */
    public int insertTcWlmqfzr(TcWlmqfzr tcWlmqfzr);

    /**
     * 修改网络民情负责人
     * 
     * @param tcWlmqfzr 网络民情负责人
     * @return 结果
     */
    public int updateTcWlmqfzr(TcWlmqfzr tcWlmqfzr);

    /**
     * 批量删除网络民情负责人
     * 
     * @param ids 需要删除的网络民情负责人主键集合
     * @return 结果
     */
    public int deleteTcWlmqfzrByIds(Long[] ids);

    /**
     * 删除网络民情负责人信息
     * 
     * @param id 网络民情负责人主键
     * @return 结果
     */
    public int deleteTcWlmqfzrById(Long id);


    /**
     * 导入删除网络民情负责人信息
     *
     * @return 结果
     */
    public String importUser(List<TcWlmqfzr> tcWlmqfzrList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);
}
